Unban Member
curl --request PATCH \
--url https://api.replyke.com/api/v6/:projectId/api/v7/spaces/:spaceId/members/:memberId/unbanimport requests
url = "https://api.replyke.com/api/v6/:projectId/api/v7/spaces/:spaceId/members/:memberId/unban"
response = requests.patch(url)
print(response.text)const options = {method: 'PATCH'};
fetch('https://api.replyke.com/api/v6/:projectId/api/v7/spaces/:spaceId/members/:memberId/unban', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>",
"membership": {}
}Space — Membership
Unban Member
Unban a previously banned member
PATCH
/
:projectId
/
api
/
v7
/
spaces
/
:spaceId
/
members
/
:memberId
/
unban
Unban Member
Sets a banned member’s status back to
See also: useUnbanMember
"active". Requires the caller to be a moderator or admin. Moderators can only unban regular members, not other moderators or admins.
Path Parameters
string
required
UUID of the space.
string
required
UUID of the membership record to unban.
Response
string
Confirmation message.
object
The updated membership record with
status: "active".Error Responses
Not Found — 404
Not Found — 404
{ "error": "Banned membership not found.", "code": "space/membership-not-found" }
Insufficient Permissions — 403
Insufficient Permissions — 403
Moderators attempting to unban another moderator or admin.
{ "error": "Moderators can only unban regular members.", "code": "space/insufficient-permissions" }
⌘I

